﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace FlagsEnumXamDataGrid
{
	[Flags]
	public enum FlagsEnum
	{
		Flag1 = 0x0001,
		Flag2 = 0x0002,
		Flag3 = 0x0004,
	}

	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();

			DataTable dt = new DataTable();
			dt.Columns.Add(new DataColumn("Id", typeof(int)));
			dt.Columns.Add(new DataColumn("Flags", typeof(FlagsEnum)));

			dt.Rows.Add(1, FlagsEnum.Flag1);
			dt.Rows.Add(2, FlagsEnum.Flag2);
			dt.Rows.Add(3, FlagsEnum.Flag3);
			dt.Rows.Add(4, FlagsEnum.Flag1 | FlagsEnum.Flag2);
			dt.Rows.Add(5, FlagsEnum.Flag1 | FlagsEnum.Flag3);
			dt.Rows.Add(6, FlagsEnum.Flag2 | FlagsEnum.Flag3);

			dt.AcceptChanges();
			_dataGrid.DataSource = dt.DefaultView;
		}
	}
}
